com.google.gwt.core.ext.linker

## Class ScriptReference

- java.lang.Object
- - com.google.gwt.core.ext.linker.Artifact<ScriptReference>
  - - com.google.gwt.core.ext.linker.ScriptReference

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Artifact<?>>

    public abstract class ScriptReference
    extends Artifact<ScriptReference>

An external script file referenced in the module manifest. The index is important because output order must match module declaration order.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `ScriptReference(java.lang.Class<? extends Linker> linkerType, java.lang.String src, int index)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected int` `compareToComparableArtifact(ScriptReference o)` Performs comparison with an artifact of a compatible base type.
`protected java.lang.Class<ScriptReference>` `getComparableArtifactType()` Returns the base type to use for comparisons between Artifacts.
`java.lang.String` `getSrc()` The `src` attribute of the resource.
`int` `hashCode()` The class which is returned from `Artifact.getComparableArtifactType()` must declare a final implementation which returns the same hash code for objects for which `Artifact.compareToComparableArtifact(Artifact)` returns 0.
`java.lang.String` `toString()`

### Methods inherited from class com.google.gwt.core.ext.linker.Artifact

`compareTo, equals, getLinker, isTransferableFromShards`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScriptReference

    protected ScriptReference(java.lang.Class<? extends Linker> linkerType,
                              java.lang.String src,
                              int index)

### Method Detail

#### getSrc

    public final java.lang.String getSrc()

The `src` attribute of the resource. This string is returned raw and may be a partial path or a URL.

#### hashCode

    public final int hashCode()

Description copied from class: `Artifact`
The class which is returned from `Artifact.getComparableArtifactType()` must declare a final implementation which returns the same hash code for objects for which `Artifact.compareToComparableArtifact(Artifact)` returns 0.

Specified by:
  `hashCode` in class `Artifact<ScriptReference>`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `Artifact<ScriptReference>`

#### compareToComparableArtifact

    protected final int compareToComparableArtifact(ScriptReference o)

Description copied from class: `Artifact`
Performs comparison with an artifact of a compatible base type. Objects which compare to 0 are assumed equal, and must return the same `Artifact.hashCode()`.

Specified by:
  `compareToComparableArtifact` in class `Artifact<ScriptReference>`

#### getComparableArtifactType

    protected final java.lang.Class<ScriptReference> getComparableArtifactType()

Description copied from class: `Artifact`
Returns the base type to use for comparisons between Artifacts. All concrete implementations of this methods must be final.

Specified by:
  `getComparableArtifactType` in class `Artifact<ScriptReference>`